/* vi:set et ts=4 sw=4 ai ft=c ff=dos: */
# ifndef _uart2_h_
# define _uart2_h_

# include <avr/pgmspace.h>
# include "lcd_io.h"
# include "uart1.h"

# define FIRST_LINE   0
# define SECOND_LINE   1

# define FIRST_POSITION    0
# define LAST_POSITION      LCD_CHARS_PER_LINE

# define FRAME_ERROR     11
# define DATA_OVERRUN_ERROR   22
# define PARITY_ERROR     33

# define ENTER_KEY    0x0D
# define BACKSPACE_KEY    0x7F
# define DELETE_KEY   0x08
    
# define BAUD_RATE   9600

# endif /* _uart2_h_ */
