/* vi:set et ts=4 sw=4 ai ft=c ff=dos: */
#ifndef _pager_h_
#define _pager_h_

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <string.h>
#include "lcd_io.h"
#include "buttons.h"

#define LEFT_KEY        KEY2
#define RIGHT_KEY       KEY3
#define SELECT_KEY      KEY4

#define left_state      key2_state
#define right_state     key3_state
#define select_state    key4_state

struct keypad {
    PGM_P       keys ;
    uint8_t     num_keys ;
    uint8_t     k_pos ;
    uint8_t     x_coord ;
    uint8_t     out_cur ;
} ;
#endif /* _pager_h_ */

