#ifndef _MENU_H_
#define _MENU_H_

#include <avr/io.h>
#include <avr/pgmspace.h>
#include "lcd_io.h"
#include "buttons.h"
#include <util/delay.h>

struct menu_item {
	char name[16];
	void (*func)(void);
};

struct menu_item_p {
	PGM_P name;
	void (*func)(void);
};

/* Function prototypes */
extern void display_menu ( struct menu_item *, uint8_t num_items ) ;
extern void display_menu_p ( struct menu_item_p *menu, uint8_t nitems ) ;

#endif /*_MENU_H_*/
