/* vi:set et ts=4 sw=4 ai ft=c ff=dos: */
# ifndef _temperature_h_
# define _temperature_h_

/* Measuring temperature using Interrupt driven approach */
# include <avr/io.h>
# include <avr/pgmspace.h>
# include <avr/interrupt.h>
# include "lcd_io.h"

extern void start_temp_conv ( void ) ;
extern void display_temp ( void ) ;

# endif   /* _temperature_h_ */
