/* vi:set et ts=4 sw=4 ai ft=c ff=dos: */
#ifndef _uart1_h_
#define _uart1_h_

# include <avr/pgmspace.h>
# include <avr/io.h>
# include "lcd_io.h"

# define UART_BAUD_SELECT   ( F_CPU / ( baud * 16l ) - 1 )

/* Global variables */

/* Function prototypes */
extern void uart_init ( unsigned int baud ) ;
extern void uart_tx_char ( unsigned char s ) ;
extern unsigned char uart_rx_char ( void ) ;

#endif /* _uart1_h_ */
