/* vi:set et ts=4 sw=4 ai ft=c ff=dos: */
# include "timer.h"

void timer_init ( void )
{
    TCCR1B = 0x01 ;  /* No scaling. Run at 8MHz Frequency */
}

void timer_start ( void )
{
    TCNT1 = 0 ;
}

/*  Displays conversion time in microseconds
    count / (8M) = count/8 usec i.e. count >> 3 usec  */
uint16_t  timer_read_usec ( void )
{
    return TCNT1 >> 3 ;
}
