/* vi:set et ts=4 sw=4 ai ft=c ff=dos: */

#include "menu.h"

void delay ( void ) ;

void delay ( void )
{
	uint8_t i, j, k ;
	for ( i = 0; i < 255; i++ ) 
	{
       	for ( j = 0 ; j < 255 ; j++ ) 
		{
       		for ( k = 0 ; k < 4 ; k++ ) 
            		;
       	}
    }
   	return ;
}

void display_menu ( struct menu_item *m, uint8_t nitems )
{
	uint8_t citem = 0 ;

   	while ( 1 )
   	{
 	    lcd_clrscr( ) ;

        lcd_puts ( m[ citem ].name ) ;
        if  ( ( nitems - citem ) > 1 ) 
		{
            lcd_putc ( '\n' ) ;
            lcd_puts ( m[ citem + 1 ].name ) ;
       	}

       	lcd_gotoxy ( 0, 0 ) ;
       	lcd_command ( LCD_DISP_ON_BLINK ) ;

       	if  ( key4_state == RELEASED ) 
		{
       		lcd_command ( LCD_DISP_ON ) ; /* turn off blinking character*/
           	RESET_KEY_STATE ( key4_state ) ;
     		m[ citem ].func( ) ;
       	}

       	if ( key5_state == RELEASED ) 
		{
            RESET_KEY_STATE ( key5_state ) ;
            /* turn off blinking character */
            lcd_command ( LCD_DISP_ON ) ;
            return ;
       	}
        
		if ( key3_state == RELEASED ) 
		{
       		RESET_KEY_STATE ( key3_state ) ;
           	if ( citem > 0 ) 
				citem-- ;
			else 
           		citem = nitems - 1 ;
        }

        if ( key2_state == RELEASED ) 
		{
			RESET_KEY_STATE ( key2_state ) ;
       		if ( ( nitems - citem ) > 1 ) 
       			citem++ ;
			else 
       			citem = 0 ;
		    delay( ) ;
    	}
    }
}
