#ifndef _TWI_DRIVER_H_
#define _TWI_DRIVER_H_

#include <avr/io.h>
#include <util/twi.h>

extern void twi_init ( void ) ;

extern unsigned char twi_send_start ( void ) ;
extern void twi_send_stop ( void ) ;
extern unsigned char twi_send_slave_address (unsigned char) ;

extern unsigned char twi_send_byte ( unsigned char ) ;
extern unsigned char twi_receive_byte ( char not_last_byte ) ;

#define SUCCESS         0xFF

#endif /* !_TWI_DRIVER_H_ */
